where are the icons?


(Moses Mutesasira) #7

try adding back all the modules , youll see the icons again


(Hamed Abulfatih) #8


(Hamed Abulfatih) #9

I have the follwoing modules installed

  • adminui
  • appframework
  • appui
  • calculation
  • htmlformentry
  • htmlwidgets
  • legacyui
  • owa
  • providermanagement
  • reporting
  • serialization
  • uicommons
  • uiframework
  • uilibrary
  • webservices.rest
  • xforms

(Moses Mutesasira) #10

oops , You have removed the referenceapplication module. its the one that provides the home screen for the above icons. first add the referenceapplication module


(Hamed Abulfatih) #11

well i loaded that module and it asked for more modules so i started adding them one by one but finally i got this error on screen. it was so big i split it


(Moses Mutesasira) #12

ok , just stop the server , and restart it afresh with the necessary modules installed


(Moses Mutesasira) #13

yes thats it , it depends on some other modules


(Hamed Abulfatih) #14

After a lot of trial and errors I found out that this module is a real trouble maker and it crashes the whole system even though i kept trying many versions ( Serialization Xstream) but it is necessary for reporting which i need! also this module ( EMR API Module) causes lots of problems but it is also necessary!


(Moses Mutesasira) #15

which package are you exactly running ?? the SDK or the STANDALONE??


(Hamed Abulfatih) #16


(Moses Mutesasira) #17

do you manually deploy the war file and the modules by yourself??


(Moses Mutesasira) #18

what would be much easier for you is to just run a standalone package , which comes with a packaged servlet container, a datbase , and you dont need to manualy set up u anything at start-up


(Hamed Abulfatih) #19

But i need two people to work on the system. And it mention on the website not for production use. The nurse will receive the patient, enter patient information and send to the doctor who will enter the diagnosis, he also want to search in patients records to know for example patients with same disease. He wanted to use excel file but i told him you cannot share same file at the same time.


(Moses Mutesasira) #20

sorry. i didnt know it was for production use


(Moses Mutesasira) #21

the proble seems to be selecting out the right verios of the modules


(Moses Mutesasira) #22

can you now be more specificon which errorrs you get after loading the reference application module and the required modules…you can please attach a screen shot here


(Hamed Abulfatih) #23

now i copied all the modules from the standalone version as they must work! but still a lot of modules would not start. i wanted to start the emr module and it gives me the error Error

  • while trying to start module
  • Unable to update data model using liquibase.xml. Module: EMR API Module

(Hamed Abulfatih) #24

you know I think all the errors are because of Java!


(Moses Mutesasira) #25

what version of EMR API are you running and on which openmrs core version are you running??


(Moses Mutesasira) #26

i dont think so. its caused by version incompatibilities between modules and the core